nxt.blockchain

## Class Chain

- java.lang.Object
- - nxt.blockchain.Chain

- Direct Known Subclasses:
    ChildChain, FxtChain

      public abstract class Chain
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `ONE_COIN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BalanceHome` | `getBalanceHome()`
    `static Chain` | `getChain(int id)`
    `static Chain` | `getChain(java.lang.String name)`
    `java.lang.String` | `getDbSchema()`
    `int` | `getDecimals()`
    `java.util.Set<APIEnum>` | `getDisabledAPIs()`
    `java.util.Set<APITag>` | `getDisabledAPITags()`
    `abstract java.util.Set<TransactionType>` | `getDisabledTransactionTypes()`
    `int` | `getId()`
    `java.lang.String` | `getName()`
    `PrunableMessageHome` | `getPrunableMessageHome()`
    `java.lang.String` | `getSchemaTable(java.lang.String table)`
    `long` | `getTotalAmount()`
    `TransactionHome` | `getTransactionHome()`
    `abstract boolean` | `isAllowed(TransactionType transactionType)`
    `abstract TransactionImpl.BuilderImpl` | `newTransactionBuilder(byte[] senderPublicKey, long amountFQT, long feeFQT, short deadline, Attachment attachment)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ONE_COIN

          public final long ONE_COIN

  - ### Method Detail

    - #### getChain

          public static Chain getChain(java.lang.String name)

    - #### getChain

          public static Chain getChain(int id)

    - #### getName

          public final java.lang.String getName()

    - #### getId

          public final int getId()

    - #### getDecimals

          public final int getDecimals()

    - #### getTotalAmount

          public final long getTotalAmount()

    - #### getDbSchema

          public java.lang.String getDbSchema()

    - #### getSchemaTable

          public final java.lang.String getSchemaTable(java.lang.String table)

    - #### getTransactionHome

          public final TransactionHome getTransactionHome()

    - #### getBalanceHome

          public final BalanceHome getBalanceHome()

    - #### getPrunableMessageHome

          public PrunableMessageHome getPrunableMessageHome()

    - #### isAllowed

          public abstract boolean isAllowed(TransactionType transactionType)

    - #### getDisabledTransactionTypes

          public abstract java.util.Set<TransactionType> getDisabledTransactionTypes()

    - #### getDisabledAPIs

          public java.util.Set<APIEnum> getDisabledAPIs()

    - #### getDisabledAPITags

          public java.util.Set<APITag> getDisabledAPITags()

    - #### newTransactionBuilder

          public abstract TransactionImpl.BuilderImpl newTransactionBuilder(byte[] senderPublicKey,
                                                                            long amountFQT,
                                                                            long feeFQT,
                                                                            short deadline,
                                                                            Attachment attachment)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`